package de.miaurizius.jgame2d.entity.item;

import de.miaurizius.jgame2d.core.GamePanel;
import de.miaurizius.jgame2d.core.enums.EntityType;
import de.miaurizius.jgame2d.entity.Entity;

public class LanternObj extends Entity {

    public LanternObj(GamePanel panel) {
        super(panel);
        type = EntityType.LIGHT;
        name = "Lantern";
        down1 = initEntitySprites("objects/lantern");
        description = "[" + name + "]\nA lantern that lights up\nthe surrounding area.";
        price = 100;
        lightRadius = 250;
    }

}
